actions: []
api_documentation: http://docs.ros.org/indigo/api/smach/html
authors: Jonathan Bohren
brief: ''
bugtracker: ''
depends:
- catkin
depends_on:
- airbus_ssm_core
- executive_smach
- roseus_smach
- smach_ros
description: "SMACH is a task-level architecture for rapidly creating complex robot\n\
  \    behavior. At its core, SMACH is a ROS-independent Python library to build\n\
  \    hierarchical state machines. SMACH is a new library that takes advantage of\n\
  \    very old concepts in order to quickly create robust robot behavior with\n \
  \   maintainable and modular code."
devel_jobs:
- http://build.ros.org/view/Idev/job/Idev__executive_smach__ubuntu_trusty_amd64
doc_job: http://build.ros.org/view/Idoc/job/Idoc__executive_smach__ubuntu_trusty_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Isaac I. Y. Saito <gm130s@gmail.com>
metapackages:
- executive_smach
msgs: []
package_type: package
release_jobs:
- http://build.ros.org/view/Isrc_uT/job/Isrc_uT__smach__ubuntu_trusty__source
- http://build.ros.org/view/Ibin_arm_uThf/job/Ibin_arm_uThf__smach__ubuntu_trusty_armhf__binary
- http://build.ros.org/view/Ibin_uT32/job/Ibin_uT32__smach__ubuntu_trusty_i386__binary
- http://build.ros.org/view/Ibin_uT64/job/Ibin_uT64__smach__ubuntu_trusty_amd64__binary
repo_name: executive_smach
repo_url: ''
srvs: []
timestamp: 1559881768.2362397
url: ''
vcs: git
vcs_uri: https://github.com/ros/executive_smach.git
vcs_version: indigo-devel
